## DzlShortcutThemeEditor DzlShortcutThemeEditor |

## Functions

GtkWidget * | dzl_shortcut_theme_editor_new ()
DzlShortcutTheme * | dzl_shortcut_theme_editor_get_theme ()
void | dzl_shortcut_theme_editor_set_theme ()

## Properties

DzlShortcutTheme * | theme | Read / Write

## Signals

void | changed | Run Last

## Types and Values

#define | DZL_TYPE_SHORTCUT_THEME_EDITOR
struct | DzlShortcutThemeEditorClass
| DzlShortcutThemeEditor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlShortcutThemeEditor

## Implemented Interfaces

DzlShortcutThemeEditor implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_shortcut_theme_editor_new ()

    GtkWidget *
    dzl_shortcut_theme_editor_new (void);

### dzl_shortcut_theme_editor_get_theme ()

    DzlShortcutTheme *
    dzl_shortcut_theme_editor_get_theme (DzlShortcutThemeEditor *self);

Gets the shortcut theme if one hsa been set.

#### Parameters

self | a DzlShortcutThemeEditor |

#### Returns

An DzlShortcutTheme or `NULL`.

[transfer none][nullable]

### dzl_shortcut_theme_editor_set_theme ()

    void
    dzl_shortcut_theme_editor_set_theme (DzlShortcutThemeEditor *self,
                                         DzlShortcutTheme *theme);

## Types and Values

### DZL_TYPE_SHORTCUT_THEME_EDITOR

    #define DZL_TYPE_SHORTCUT_THEME_EDITOR (dzl_shortcut_theme_editor_get_type())

### struct DzlShortcutThemeEditorClass

    struct DzlShortcutThemeEditorClass {
      GtkBinClass parent_class;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### DzlShortcutThemeEditor

    typedef struct _DzlShortcutThemeEditor DzlShortcutThemeEditor;

## Property Details

### The `“theme”` property

      “theme”                    DzlShortcutTheme *

The theme for editing.

Flags: Read / Write

## Signal Details

### The `“changed”` signal

    void
    user_function (DzlShortcutThemeEditor *dzlshortcutthemeeditor,
                   gpointer                user_data)

The "changed" signal is emitted when one of the rows within the editor has been changed.

You might want to use this signal to save your theme changes to your configured storage backend.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Run Last